/* Minlong Pic Text Component */
.minlong-pic-text {
  padding: var(--component-gap) 0;
  background: #fff;
}

/* Pic Text Items */
.minlong-pic-text .pic-text-items {
  display: flex;
  gap: 100px;
}

/* Pic Text Item */
.minlong-pic-text .pic-text-item {
  display: flex;
  gap: 70px;
  /* align-items: center; */
  flex-direction: column;
  max-width: 50%;
}
.minlong-pic-text .pic-text-item:nth-child(even){
  flex-direction:column-reverse;
  padding-top: 60px;
}
.minlong-pic-text .pic-text-item:nth-child(odd){
  padding-bottom: 60px;
}
/* Image Section */
.minlong-pic-text .item-image {
  width: 100%;
}

.minlong-pic-text .image-wrapper {
  width: 100%;
  aspect-ratio: 65/42;
  overflow: hidden;
}

.minlong-pic-text .image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Content Section */
.minlong-pic-text .item-content {
  width: 100%;
}

.minlong-pic-text .content-wrapper {
  padding: 0;
}

.minlong-pic-text .content-title {
  font-family: var(--semibold-font-family);
  font-size: var(--title-size-h3);
  font-weight: 600;
  line-height: 1.5;
  color: #333333;
  margin: 0 0 var(--component-gap-sm);
}

.minlong-pic-text .content-desc {
  font-family: var(--font-family);
  font-size: var(--text-size);
  font-weight: 400;
  line-height: 1.625;
  color: #666666;
  margin: 0;
}

/* Responsive Styles */
@media screen and (max-width: 1500px) {
  .minlong-pic-text .pic-text-item:nth-child(even){
    padding-top:var(--component-gap-sm);
  }
  .minlong-pic-text .pic-text-item:nth-child(odd){
    padding-bottom:var(--component-gap-sm);
  }
  .minlong-pic-text .pic-text-items {
    gap: var(--component-gap);
  }

  .minlong-pic-text .pic-text-item {
    gap: var(--component-gap-sm);
  }
}

@media screen and (max-width: 1280px) {
  .minlong-pic-text .pic-text-item {
    /* gap: 60px; */
  }

  .minlong-pic-text .content-wrapper {
    padding: 0;
  }
}

@media screen and (max-width: 992px) {
  .minlong-pic-text .pic-text-item {
    flex-direction: column;
    gap: var(--text-gap-lg);
    max-width: 100%;
    padding: 0 !important;
  }
  .minlong-pic-text .pic-text-item:nth-child(even){
    flex-direction:column;
  }
  .minlong-pic-text .pic-text-items{
    flex-direction:column;
  }
  .minlong-pic-text .item-image,
  .minlong-pic-text .item-content {
    flex: 0 0 100%;
    width: 100%;
  }

  .minlong-pic-text .image-wrapper {
    aspect-ratio: 16/9;
  }

  .minlong-pic-text .content-title {
    margin-bottom: 40px;
  }
}

@media screen and (max-width: 768px) {
  .minlong-pic-text .pic-text-items {
    gap: var(--text-gap);
  }

  .minlong-pic-text .pic-text-item {
    gap: var(--text-gap);
  }
}

@media screen and (max-width: 576px) {
  .minlong-pic-text .image-wrapper {
    aspect-ratio: 4/3;
  }

  .minlong-pic-text .content-title {
  }
}